@import url("https://fonts.googleapis.com/css?family=Kanit:300&display=swap&subset=thai");
@font-face {
  font-family: "Kanit-Light";
  src: url("../static/fonts/Kanit-Light.eot");
  src: url("../static/fonts/Kanit-Light.eot?#iefix") format("embedded-opentype"), url("../static/fonts/Kanit-Light.woff") format("woff"), url("../static/fonts/Kanit-Light.ttf") format("truetype"), url("../static/fonts/Kanit-Light.svg#Kanit-Light") format("svg"); }

body {
  font-family: 'Kanit-Light', tahoma;
  font-size: 14px;
  padding: 0;
  margin: 0;
  color: #fff;
  background-color: #000; }
  @media (max-width: 640px) {
    body {
      font-size: 12px; } }

h1, h2, h3, h4, h5, h6 {
  margin: 0; }

ul, li {
  margin: 0px;
  padding: 0px; }

.page {
  position: fixed;
  top: 0px;
  left: 0px;
  width: 100%;
  height: 100%;
  z-index: 1000; }
  .page__loading {
    display: block;
    width: 100%;
    height: 100%;
    text-align: center;
    color: #FFFFFF;
    vertical-align: middle;
    font-size: 30px;
    background-color: rgba(0, 0, 0, 0.6); }
    .page__loading:before {
      content: "";
      display: inline-block;
      height: 100%;
      width: 0px;
      vertical-align: middle; }
  .page.close {
    display: none; }

img {
  max-width: 100%;
  max-height: 100%; }

.preorder {
  background: url("../static/images/bg.jpg") top center no-repeat #120a07;
  background-size: contain;
  padding: 60% 0 2%;
  width: 1105px; }
  .preorder__btngroup {
    position: absolute;
    top: 2vw;
    right: 2%;
    width: 100%;
    text-align: right; }
    .preorder__btngroup img {
      display: block; }
  .preorder__scroll {
    text-align: center;
    position: absolute;
    top: -8%;
    left: 0;
    right: 0; }
    .preorder__scroll > img {
      animation: mover 1s infinite alternate; }
      @media (max-width: 640px) {
        .preorder__scroll > img {
          max-width: 10%; } }

.h-login-text {
  position: relative;
  top: 650px;
  text-align: center; }

.userinfo {
  position: absolute;
  left: 0;
  bottom: 54%;
  font-size: 1.2em;
  color: #65431d;
  width: 100%;
  text-align: center; }
  @media (max-width: 768px) {
    .userinfo {
      bottom: 45%; } }
  @media (max-width: 640px) {
    .userinfo {
      font-size: 4vw;
      margin-bottom: 50px;
      bottom: 50%; } }

.container {
  max-width: 900px;
  margin: 0 auto;
  padding: 0 15px;
  position: relative; }

.text-center {
  text-align: center; }

.block {
  position: relative;
  margin-bottom: 5%; }
  .block .content {
    position: absolute;
    left: 0;
    top: 0;
    right: 0;
    padding: 10%; }
  .block .bottom {
    position: absolute;
    bottom: 13%;
    left: 0;
    right: 0;
    text-align: center; }
    .block .bottom .bottom_wrapper {
      display: inline-block;
      max-width: 50%; }
      @media (max-width: 640px) {
        .block .bottom .bottom_wrapper {
          font-size: 10px; } }

.block1_items {
  position: relative;
  display: inline-block;
  max-width: 16%; }
  .block1_items .btn_zoom {
    position: absolute;
    top: 0;
    right: 0;
    max-width: 40%;
    cursor: pointer; }

.btn_default {
  display: inline-block;
  background: url("../static/images/btn_default_normal.png") no-repeat 0 0;
  color: #2f1706;
  width: 104px;
  height: 20px;
  text-align: center;
  font-family: 'Kanit-Light', tahoma;
  cursor: pointer;
  line-height: 1;
  padding: 10px;
  background-size: 100% 100%; }
  .btn_default.text-small {
    font-size: 0.9rem; }
  .btn_default:hover {
    background: url("../static/images/btn_default_hover.png") no-repeat 0 0;
    background-size: 100% 100%; }
  .btn_default.disabled {
    background: url("../static/images/btn_default_disable.png") no-repeat 0 0;
    background-size: 100% 100%;
    cursor: default; }
  @media (max-width: 640px) {
    .btn_default {
      width: 74px;
      height: 10px;
      font-size: 10px;
      padding: 7px; } }

@media (max-width: 640px) {
  .list_role {
    font-size: 10px; } }

.username, .logout {
  pointer-events: auto;
  display: inline-block;
  padding: 0px 25px;
  margin-left: 17px;
  /* width: fit-content; */
  /* max-width: 170px; */
  text-align: center;
  height: 45px;
  line-height: 45px;
  background-color: rgba(0, 0, 0, 0.7);
  border-radius: 15px;
  color: #FFFFFF;
  font-size: 14px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  /* transition: width 0.3s ease-in-out; */ }
  @media (max-width: 640px) {
    .username, .logout {
      height: 30px;
      line-height: 30px;
      padding: 0px 20px;
      font-size: 11px; } }
